<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>GIScience</title>
	<link rel="shortcut icon" type="image/png" href="lib/favicon.png"/>
	<meta	name="viewport"	content="width=device-width, initial-scale=1.0"/>
	<link	rel="stylesheet"	type="text/css"	href="lib/style.css"/>
	<script	type="text/javascript"	src="lib/MathJax26/MathJax.js?config=TeX-AMS_HTML"></script>
	<script	type="text/x-mathjax-config"> MathJax.Hub.Config({
		tex2jax:	{inlineMath:	[['$','$'],	['\\(','\\)']]},
		"HTML-CSS":	{preferredFont:	"STIX",	availableFonts:	["STIX","TeX"],	scale:	100,	minScaleAdjust:	100,webFont:	"TeX",imageFont:	"TeX",	mtextFontInherit:	true}}); </script>
	<script src="lib/jquery-3.1.1.min.js" type="text/javascript"></script>
	<script type="text/javascript" src="lib/tablesorter.js"></script> 
	<script src="http://igd.unil.ch/giscience/projects.php" ></script>
</head>
<body>
	<div id="content">
		<h1>unil.GIScience</h1>
		<div id="nav-bar">
			<ul>
				<li><a href="http://unil.giscience.gitlab.io/page/">Home &#8617;</a></li>
				<li><a href="https://gitlab.com/unil.giscience">GIScience gitlab &#8618;</a></li>
			</ul>
		</div>
		<div id="contenth">
		<div id="credits"> unil.GISience is a platform which provides geocomputing-lines for spatial data analysis  developped by the <a href="http://unil.ch/igd/fr/home/menuguid/english/research/geographical-information-sciences.html" target="_blank"> Geographical Information Sciences (GISc) </a> researche group (<a href="http://igd.unil.ch" target="_blank">Insitut of Geography and Sustainability - University of Lausanne</a>).</div>
		<div id="listheader"><h2>Available projects list</h2><input id="search" type="text" placeholder="search..."></div>
		</div>
		<div id="projetlist"></div>
		<footer><p>&copy; 2016 - University of Lausanne</p></footer>
	</div>
</body>
<script>
	function orderTable(e) {
		console.log("order")
		$("#myTable").tablesorter();
	};
	function tableProj() {
	   var container = document.getElementById("projetlist");
			content_projet = "<table id='myTable' class='tablesorter' style='margin-left:5%;'><thead><tr><th onclick='orderTable(0)'>Project</th><th onclick='orderTable(1)'>Description</th><th onclick='orderTable(3)'>Last activity</th><th onclick='orderTable(4)'>To access</th></tr></thead><tbody>"
			for (var k in dat) {
				contentById.push({name: dat[k].name, description: dat[k].description, id: dat[k].creator_id.toString(), activity:  dat[k].last_activity_at.slice(0,10), url: dat[k].http_url_to_repo}) 
				if (dat.hasOwnProperty(k)) {
					if (dat[k].visibility_level == 20){
						content_projet += "<tr id='projet"+k+"'>\n"
						content_projet += "	<td align='center'><strong>"+dat[k].name+"</strong> <br> <br><form action='https://gitlab.com/"+dat[k].ssh_url_to_repo.replace('git@gitlab.com:', '').replace('.git','').replace(dat[k].name, '').replace('/','')+"' target='_blank'><input type='submit' value='by "+dat[k].ssh_url_to_repo.replace('git@gitlab.com:', '').replace('.git','').replace(dat[k].name, '').replace('/','')+" &#8677;' /></form></td>\n"
						content_projet += "	<td align='justify' >"+dat[k].description+"</td>\n"
						// content_projet += "	<td>"+dat[k].creator_id+"</td>\n"
						content_projet += "	<td align='center'>"+dat[k].last_activity_at.slice(0,10)+"</td>\n"
						content_projet += "	<td align='center' ><form action='"+dat[k].http_url_to_repo.replace('.git', '')+"' target='_blank'><input type='submit' value='git &#8677;' /></form> <button id='giturl' type='button' src='"+dat[k].ssh_url_to_repo+"' onclick='copyToClipboard(\"#giturl\", \""+dat[k].ssh_url_to_repo+"\")'>ssh &#9985;</button></td>\n"
						content_projet += "</tr>\n" 
					}
				}
			}
		content_projet += "</tbody></table>"
		container.innerHTML += content_projet
	};

	function copyToClipboard(element, b) {
	  var $temp = $("<input>");
	  $("body").append($temp);
	  $temp.val(('git clone ').concat(b)).select();
	  document.execCommand("copy");
	  $temp.remove();
	  alert("Git clone command has been copied and can be paste in command prompt : \n \n"+('git clone ').concat(b))
	}


	var contentById = []
	$.get("http://igd.unil.ch/giscience/projects.php", function(data) {
		var json = {
			html: JSON.stringify(data),
			delay: 1
		};
		dat = JSON.parse(json.html);
		console.log(dat)
		tableProj();
	});

	$(document).ready(function() {
		function searchBar(contentById){
			var a = document.getElementById("search").value.split(" ");
			for (var c in contentById) {
				for (i in a){
					var	s1 = contentById[c].name.toLowerCase().indexOf(a[i])>=0;
						s2 =	contentById[c].description.toLowerCase().indexOf(a[i])>=0;
						s3 =	contentById[c].id.toLowerCase().indexOf(a[i])>=0;
						s4 =	contentById[c].activity.toLowerCase().indexOf(a[i])>=0;
						s5 =	contentById[c].url.toLowerCase().indexOf(a[i])>=0;
				};
				if (s1 || s2 || s3 || s4 || s5){
					$("#projet"+c).show();
					// document.getElementById("projet"+c).style.display = "block";
				}else{
					$("#projet"+c).hide();
					// document.getElementById("projet"+c).style.display = "none";
				};
			};
		};
	$("#search").keyup(function(){searchBar(contentById)});
	});
</script>
</html>